{% extends 'app/base.html' %}
{% block content %}

<div class"container">
    <div class="row">
        <div class="col-md-6">
            <h1>{{ image.title }}</h1>
            <div>
                <p>Objavljeno: {{ image.pub_date }}</p>
                <img src="{{ image.url }}" class="full-width">
            </div>
        </div>
        <div class="col-md-6">
            <h1>Komentari</h1> 
            {% for comment in comments %}
                {% if comment.approved or user == comment.user or user.is_superuser %}
                <p class="comment">
                    <strong>{{comment.user.username}}</strong>
                    ( {{ comment.pub_date }} ) <br/>
                    {% if not comment.approved%} - unapproved {% endif %}
                    {{ comment.text }}
                    {% if not comment.approved and user.is_superuser %}
                        <br>
                        <span class="red" style="color: red">
                            <form action="{% url 'app:approve_comment' comment.id %}" method="post">
                                {% csrf_token %}
                                <input type="submit" value="Approve" >
                            </form>
                        </span>
                    {% endif %}
                </p>
                {% endif %}
            {% endfor %}
            {% if user.is_authenticated %}
            <form action="{% url 'app:post_comment' image.id %} " method="post">
                {% csrf_token %}
            
                <p>
                    <label for="comment_text">Text</label>
                    <input id="comment_text" name="text" type="text">
                </p>

                <input type="submit">
            </form>
            {% endif %}
        </div>     
    </div>
</div>

{% endblock %}
